Name:           guile-gnome-platform
Version:        2.16.1
Release:        4%{?dist}
Summary:        Guile wrapper collection for the GNOME library stack

Group:          Applications/System
License:        GPLv2+
URL:            http://www.gnu.org/software/guile-gnome/
Source0:        http://ftp.gnu.org/pub/gnu/guile-gnome/%{name}/%{name}-%{version}.tar.gz
Patch0:         guile-gnome-platform-2.16.1-libdir.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=565837
Patch1:         guile-gnome-platform-2.16.1-infofix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  guile-cairo-devel
# README says >= 1.9.1 but not 1.9.2
# but website says 1.9.8
BuildRequires:  g-wrap-devel >= 1.9.8
BuildRequires:  libgnomeui-devel, glibc
# We are patching the .texi sources, fixing invalid directory entries
# Until the .texi and .info files from upstream are fixed, BR on texinfo
BuildRequires:  texinfo
Requires:       guile

Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info

%description
The guile-gnome project brings the power of Scheme to your graphical
application. guile-gnome modules support the entire GNOME library
stack: from Pango to GnomeCanvas, GTK+ to GStreamer, Glade to
GtkSourceView, you will find in guile-gnome a comprehensive
environment for developing modern applications.


%package        devel
Summary:        Libraries and header files for %{name}
Group:          Development/Libraries

Requires:       %{name} = %{version}-%{release}
Requires:       g-wrap-devel, guile-cairo-devel
Requires:       ORBit2-devel, pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .libdir
%patch1 -p1 -b .infofix


%build
export LDFLAGS="-lORBit-2 -lbonobo-2"

%configure --disable-libtool-lock --disable-static --disable-Werror
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"

#Remove .la files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#Remove deprecated file
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

#Multiarch timestamp fixes
touch -r glib/bin/guile-gnome.in.libdir \
      $RPM_BUILD_ROOT%{_bindir}/guile-gnome-2
touch -r glib/gnome/gobject/config.scm.in.libdir \
      $RPM_BUILD_ROOT%{_datadir}/guile-gnome-2/gnome/gobject/config.scm
touch -r glib/gnome.scm.in.libdir \
      $RPM_BUILD_ROOT%{_datadir}/guile/site/gnome-2.scm


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
for i in \
    atk corba gconf gdk glib gnome-vfs gobject gtk \
    libglade libgnome libgnomecanvas libgnomeui pango pangocairo;
  do
    /sbin/install-info \
      %{_infodir}/guile-gnome-$i.info.gz %{_infodir}/dir || :
done

%preun
if [ $1 = 0 ]; then
   for i in \
        atk corba gconf gdk glib gnome-vfs gobject gtk \
        libglade libgnome libgnomecanvas libgnomeui pango pangocairo;
      do
        /sbin/install-info --delete \
          %{_infodir}/guile-gnome-$i.info.gz %{_infodir}/dir || :
   done
fi

%postun -p /sbin/ldconfig



%files
# .so files needed to load libraries at runtime
# so they are part of the main package rather than
# the devel subpackage

%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog NEWS
%{_bindir}/*
%{_libdir}/*.so*
%dir %{_libdir}/guile-gnome-2
%dir %{_libdir}/orbit-2.0
%{_libdir}/guile-gnome-2/*.so*
%{_libdir}/orbit-2.0/*.so*
%{_datadir}/guile-gnome-2
%{_datadir}/guile/site/gnome-2.scm
%{_infodir}/*.info*.gz


%files  devel
%defattr(-,root,root,-)
%doc HACKING
#%{_libdir}/*.so
#%{_libdir}/guile-gnome-2/*.so
#%{_libdir}/orbit-2.0/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/guile-gnome-2



%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.16.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.16.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 28 2008 Michel Salim <salimma@fedoraproject.org> - 2.16.1-2
- Multiarch fix: detect libdir at runtime for files in %%{_datadir}

* Sat Dec 27 2008 Michel Salim <salimma@fedoraproject.org> - 2.16.1-1
- Update to 2.16.1
- Corrected license to GPLv2+

* Sat Sep 06 2008 Xavier Lamien <lxtnow[at]gmail.com> - 2.15.93-8
- Rebuild for rawhide.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.15.93-7
- Autorebuild for GCC 4.3

* Tue Sep 11 2007 XAvier Lamien < lxtnow[at]gmail.com > - 2.15.93-6
- linked missing libraries.

* Mon Sep 10 2007 Xavier Lamien < lxtnow[at]gmail.com > - 2.15.93-5
- Fixed optflags for gtk build.
- Enhanced requires.

* Sun Sep 02 2007 Xavier Lamien < lxtnow[at]gmail.com > - 2.15.93-4
- Exclude pcc64.
- Fixed Requires & default permissions on files.

* Mon Aug 27 2007 XAvier Lamien < lxtnow[at]gmail.com > - 2.15.93-3
- Add missing BR & Requires.

* Sun Aug 19 2007 Xavier Lamien < lxtnow[at]gmail.com > - 2.15.93-2
- Patched to build against g-wrap-1.9.9.

* Tue Jul 10 2007 Xavier Lamien < lxtnow[at]gmail.com > - 2.15.93-1
- Initial RPM Release.
